Bug 119227 - A five second freeze when copying a large bulleted list
Summary: A five second freeze when copying a large bulleted list
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2 all versions
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard: target:6.5.0 target:6.4.0.2
Keywords: bibisected, bisected, perf, regression, wantBacktrace
Depends on:
Blocks: Cut-Copy
  Show dependency treegraph
 
Reported: 2018-08-12 10:42 UTC by Telesto
Modified: 2019-12-20 10:33 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (26.31 KB, application/vnd.oasis.opendocument.text)
2018-08-12 10:43 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-08-12 10:42:40 UTC
Description:
A five second freeze when copying a large bulleted list

Steps to Reproduce:
1. Open the attached file
2. CTRL+A & 
3. CTRL+C & Scroll up down (no response; for 4/5 seconds)


Actual Results:
A 5 seconds freeze

Expected Results:
No freeze or a smaller one


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 6.2.0.0.alpha0+
Build ID: c0fdcece6b886912618deee9656cb2d169a9b999
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-08-12_00:35:45
Locale: en-US (nl_NL); Calc: CL

and in
Versie: 4.1.0.4 
Build ID: 89ea49ddacd9aa532507cbf852f2bb22b1ace28

but not in
Versie 4.0.0.3 (Bouw-id: 7545bee9c2a0782548772a21bc84a9dcc583b89)
Comment 1 Telesto 2018-08-12 10:43:01 UTC
Created attachment 144125 [details]
Example file
Comment 2 m.a.riosv 2018-08-12 11:43:47 UTC
What should be the time?

Even that a minor issue.
Comment 3 Telesto 2018-08-12 12:44:59 UTC
(In reply to m.a.riosv from comment #2)
> What should be the time?

Reference: 3.5.7.2 & 4.0.0.3: both have a +/- 1 sec delay. It's also depending on machine specs. Could be 10 seconds on a slower machine (or less on a faster one)
Comment 4 Xisco Faulí 2018-08-15 18:39:25 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=6db39dbd7378351f6476f6db25eb7110c9cfb291

author	Michael Stahl <mstahl@redhat.com>	2013-06-15 21:25:27 +0200
committer	Michael Stahl <mstahl@redhat.com>	2013-06-20 00:34:38 +0200
commit	6db39dbd7378351f6476f6db25eb7110c9cfb291 (patch)
tree	0f9321d40740e87e80d8ed05a7c7f474d5310afd
parent	e012f326c1c32c053304998a6826cb322f2c7728 (diff)
fdo#52028: sw: let text formatting ignore RSID in automatic styles

Bisected with: bibisect-42max

Adding Cc: to Michael Stahl
Comment 5 Commit Notification 2019-12-18 09:29:12 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/568b820bc2d52c007ee08ad7a3849c94a458115d

tdf#119227 fix freeze when copying a large bulleted list

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-12-18 10:43:51 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/4b2d4f3c4a68361a6bc03c9ab110ce9376b14b20

tdf#119227 fix freeze when copying a large bulleted list

It will be available in 6.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2019-12-20 10:33:25 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: dee81fb2e1df5091702b3c8b0e4a3f2b58e89291
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Noel, thanks for fixing this issue!